GET api/contractItemapi/contractitemsbycontract/{contractId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| contractId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "9d8339b8-0e88-4ee3-969d-17b62fa68a7e",
"selected_nameplate_id": "73060188-9f75-4771-b6ff-a449b84b3930",
"active": true,
"contract_id": "84f15a79-2f93-4c7c-b70a-068948687550",
"id": "1ed37368-84cc-4fe3-863b-8024cbd09920",
"physical_item_id": "44391d71-71fc-4325-8ed7-41087209965f",
"service_item_id": "c2bbd29c-2b8d-421f-bbed-9f6b0b66b2a6",
"item_wash_max": 1,
"quantity": 1
},
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "9d8339b8-0e88-4ee3-969d-17b62fa68a7e",
"selected_nameplate_id": "73060188-9f75-4771-b6ff-a449b84b3930",
"active": true,
"contract_id": "84f15a79-2f93-4c7c-b70a-068948687550",
"id": "1ed37368-84cc-4fe3-863b-8024cbd09920",
"physical_item_id": "44391d71-71fc-4325-8ed7-41087209965f",
"service_item_id": "c2bbd29c-2b8d-421f-bbed-9f6b0b66b2a6",
"item_wash_max": 1,
"quantity": 1
}
]
application/xml, text/xml
Sample:
<ArrayOfcontract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<contract_item>
<active>true</active>
<contract_id>84f15a79-2f93-4c7c-b70a-068948687550</contract_id>
<id>1ed37368-84cc-4fe3-863b-8024cbd09920</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>44391d71-71fc-4325-8ed7-41087209965f</physical_item_id>
<quantity>1</quantity>
<service_item_id>c2bbd29c-2b8d-421f-bbed-9f6b0b66b2a6</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>73060188-9f75-4771-b6ff-a449b84b3930</selected_nameplate_id>
<selected_sticker_id>9d8339b8-0e88-4ee3-969d-17b62fa68a7e</selected_sticker_id>
</contract_item>
<contract_item>
<active>true</active>
<contract_id>84f15a79-2f93-4c7c-b70a-068948687550</contract_id>
<id>1ed37368-84cc-4fe3-863b-8024cbd09920</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>44391d71-71fc-4325-8ed7-41087209965f</physical_item_id>
<quantity>1</quantity>
<service_item_id>c2bbd29c-2b8d-421f-bbed-9f6b0b66b2a6</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 1</d3p1:Key>
<d3p1:Value>sample string 2</d3p1:Value>
</d3p1:KeyValueOfstringstring>
<d3p1:KeyValueOfstringstring>
<d3p1:Key>sample string 3</d3p1:Key>
<d3p1:Value>sample string 4</d3p1:Value>
</d3p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>73060188-9f75-4771-b6ff-a449b84b3930</selected_nameplate_id>
<selected_sticker_id>9d8339b8-0e88-4ee3-969d-17b62fa68a7e</selected_sticker_id>
</contract_item>
</ArrayOfcontract_item>